Create Project
POST
/api/v1/projects
const url = 'https://aura.strangeworks.com/api/v1/projects';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"description":"example","from":"example","name":"example","short_description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://aura.strangeworks.com/api/v1/projects \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "from": "example", "name": "example", "short_description": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ProjectResponse
object
completeness
CompletenessResponse
Mirrors the fixed shape returned by completeness_service.compute_completeness().
object
all_constraints_classified
All Constraints Classified
boolean
all_variables_provided
All Variables Provided
boolean
data_available
Data Available
boolean
feasibility_result
Feasibility Result
string
kpis_defined
Kpis Defined
boolean
objective_drafted
Objective Drafted
boolean
objectives_defined
Objectives Defined
boolean
overall
Overall
string
production_requirements_defined
Production Requirements Defined
boolean
created_at
required
Created At
string format: date-time
created_by
Any of:
ProjectCreator
null
id
required
Id
string
name
required
Name
string
objective_components
Objective Components
Array<object>
object
key
additional properties
objective_confirmed
Objective Confirmed
boolean
total_cost_usd
Total Cost Usd
number
updated_at
required
Updated At
string format: date-time
workspace_mode
Workspace Mode
string
Example
{ "completeness": { "all_constraints_classified": false, "all_variables_provided": false, "data_available": false, "feasibility_result": "unchecked", "kpis_defined": false, "objective_drafted": false, "objectives_defined": false, "overall": "incomplete", "production_requirements_defined": false }, "objective_components": [], "objective_confirmed": false, "total_cost_usd": 0, "workspace_mode": "define"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}